It looks like you're offline.
Open Library logo

Lists API → Diff

Added
Modified
Removed
Not changed
Revision 14 by Drini March 13, 2023
Revision 15 by Drini March 13, 2023
body
0 * [Get Lists of a user](#users-lists) 0 * [Get a user's lists](#users-lists)
1 * [Get lists of a seed](#seed-lists) 1 * [Get lists containing a seed](#seed-lists)
2 * [Search Lists](#search-lists) 2 * [Search lists](#search-lists)
3 * [Create a List](#create-list) 3 * [Create a list](#create-list)
4 * [Update a list](#update-list) 4 * [Update a list](#update-list)
... ...
11 <a name="users-lists">&nbsp;</a> 11 <a name="users-lists">&nbsp;</a>
12 ## Get Lists of a user 12 ## Get a user's lists
13 13
... ...
47 <a name="seed-lists">&nbsp;</a> 47 <a name="seed-lists">&nbsp;</a>
48 ## Get lists of a seed 48 ## Get lists containing a seed
49 49
... ...
81 <a name="search-lists">&nbsp;</a> 81 <a name="search-lists">&nbsp;</a>
82 ## Search Lists 82 ## Search lists
83 83
... ...
116 <a name="create-list">&nbsp;</a> 116 <a name="create-list">&nbsp;</a>
117 ## Create a List 117 ## Create a list
118 118
... ...
209    {"key": "/people/anand/list/OL1L", "revision": 3} 209    {"key": "/people/anand/list/OL1L", "revision": 3}
210     210
211     211 <a name="read-list">&nbsp;</a>
212 ## Get seeds of a list 212 ## Get seeds of a list
... ...
256 256
257 <a name="edits-seeds>&nbsp;</a> 257 <a name="edits-seeds">&nbsp;</a>
258 ## Add/delete a seed from a list 258 ## Add/delete a seed from a list
259
260 - Add seed(s) to a list
261
262 Request:
263
264    POST /people/anand/list/OL1L/seeds HTTP/1.1
265    Content-Type: application/json
266    
267    {
268        "add": [
269            {key: "/books/OL25083437M"},
270            {key: "/books/OL24375501M"}
271        ]
272    }
273
274 Response:
275
276    HTTP/1.1 200 OK
277    Content-Type: application/json
278    
279    {"key": "/people/anand/list/OL1L", "revision": 3}
280
281 - Delete seed(s) from a list
259 259
... ...
410 <a name="edits-seed">&nbsp;</a> 410 <a name="edits-seed">&nbsp;</a>
411 ## Add/delete a seed from a list
412
413 - Add seed(s) to a list
414
415 Request:
416
417    POST /people/anand/list/OL1L/seeds HTTP/1.1
418    Content-Type: application/json
419    
420    {
421        "add": [
422            {key: "/books/OL25083437M"},
423            {key: "/books/OL24375501M"}
424        ]
425    }
426
427 Response:
428
429    HTTP/1.1 200 OK
430    Content-Type: application/json
431    
432    {"key": "/people/anand/list/OL1L", "revision": 3}